<?php
namespace Teknisa\MAN\Controllers;

use \Teknisa\Libs\Utilities\Environment;
use Zeedhi\Framework\DataSource\ParameterBag;
use Zeedhi\Framework\DTO;

class FilialFilioper extends \Teknisa\MAN\Controllers\TeknisaCrud {

    protected $dataSourceName = "filial_filioper";
    protected $parameterBagColumns = ["NRORG", "CDOPERADOR"];

    public function find(DTO\Request\Filter $request, DTO\Response $response) {
        $filterCriteria = $request->getFilterCriteria();
        $conditions = $filterCriteria->getConditions();
        $operadorCondition = array_filter($conditions, function($item) {
            return strtoupper($item['columnName']) == 'CDOPERADOR';
        });
        if ($operadorCondition == null) {
            $filterCriteria->addCondition("CDOPERADOR", "OPERADOR_LOGADO");
        }
        parent::find($request, $response);
    }
    
    public function findBloq(DTO\Request\Filter $request, DTO\Response $response) {
        $filterCriteria = $request->getFilterCriteria();
        $this->dataSourceName = "filial_bloq";
        $this->parameterBagColumns = ["NRORG", "CDFILIAL"];
        parent::find($request, $response);
    }
    
    public function findIntegracaoSite(DTO\Request\Filter $request, DTO\Response $response) {
        $this->dataSourceName = "filial_filioper_integracaoSite";
        $this->parameterBagColumns = ["NRORG", "CDOPERADOR", "CDFILIAL", "IDFILUTSITE"];
        $filterCriteria = $request->getFilterCriteria();
        $conditions = $filterCriteria->getConditions();
        
        $operadorCondition = array_filter($conditions, function($item) {
            return strtoupper($item['columnName']) == 'CDOPERADOR';
        });
        if ($operadorCondition == null) {
            $filterCriteria->addCondition("CDOPERADOR", "OPERADOR_LOGADO");
        }
        parent::find($request, $response);
    }
}
