<?php
namespace Teknisa\MAN\Factories;

use Doctrine\ORM\EntityManager;

class ConsolidacaoAutomatica {

    protected $connection;

    public function __construct(EntityManager $entityManager) {
        $this->connection = $entityManager->getConnection();
    }
    
    public function buscaConsolidacoes($params){
        $sql = "SELECT CDFILIAL, CDLOJA, DTINICONSVENAUT, IDFREQCONSVEN, 
                HRCONSVENAUT, DSDIRARQPHP, DSDIRINSTALAPHP, DSSTATUSULTCONS 
                  FROM PARAMCONSVENAUT 
                   WHERE (CDFILIAL = :CDFILIAL) 
                   AND (CDLOJA = :CDLOJA )
                   AND (NRORG = :NRORG )";
        $std = $this->connection->prepare($sql);
        $std->execute($params);
        return $std->fetchAll();
    }
    
    public function updateConsolidacoes($params){
        $sql = "UPDATE PARAMCONSVENAUT
                    SET DTINICONSVENAUT = :DTINICONSVENAUT,
                    IDFREQCONSVEN       = :IDFREQCONSVEN,
                    HRCONSVENAUT        = :HRCONSVENAUT,
                    DSDIRARQPHP         = :DSDIRARQPHP,
                    DSDIRINSTALAPHP     = :DSDIRINSTALAPHP,
                    DSSTATUSULTCONS     = :DSSTATUSULTCONS
                WHERE CDFILIAL  = :CDFILIAL
                  AND CDLOJA   = :CDLOJA";
        $std = $this->connection->prepare($sql);
        $std->execute($params);
    }
    
    public function insertConsolidacoes($params){
        $sql = "INSERT INTO PARAMCONSVENAUT
                  (DTINICONSVENAUT, IDFREQCONSVEN, HRCONSVENAUT, DSDIRARQPHP, DSDIRINSTALAPHP,
                   DSSTATUSULTCONS, CDFILIAL, CDLOJA, NRORG) 
                VALUES
                  (:DTINICONSVENAUT, :IDFREQCONSVEN, :HRCONSVENAUT, :DSDIRARQPHP, :DSDIRINSTALAPHP,
                   :DSSTATUSULTCONS, :CDFILIAL, :CDLOJA, :NRORG)";
        $std = $this->connection->prepare($sql);
        $std->execute($params);
    }
    
    public function removeConsolidacoes($params){
        $sql = "DELETE FROM PARAMCONSVENAUT
                WHERE CDFILIAL         = :CDFILIAL
                AND   CDLOJA           = :CDLOJA
                AND   DTINICONSVENAUT  = :DTINICONSVENAUT
                AND   IDFREQCONSVEN    = :IDFREQCONSVEN
                AND   HRCONSVENAUT     = :HRCONSVENAUT
                AND   DSDIRARQPHP      = :DSDIRARQPHP
                AND   DSDIRINSTALAPHP  = :DSDIRINSTALAPHP
                AND   DSSTATUSULTCONS  = :DSSTATUSULTCONS";
        $std = $this->connection->prepare($sql);
        $std->execute($params);
    }
}
